-----

Documentation: [html](https://docs-beta.ethers.io/)

-----


Utilities
=========


These utilities are used extensively within the library, but
are also quite useful for application developers.


* [Addresses](address)
  * [Address Formats](address)
  * [Functions](address)
* [Application Binary Interface](abi)
  * [Formats](abi)
  * [Fragment](abi)
  * [ConstructorFragment](abi)
  * [EventFragment](abi)
  * [FunctionFragment](abi)
  * [ParamType](abi)
* [BigNumber](bignumber)
  * [Types](bignumber)
  * [Creating Instances](bignumber)
  * [Methods](bignumber)
  * [Notes](bignumber)
* [Byte Manipulation](bytes)
  * [Types](bytes)
  * [Inspection](bytes)
  * [Converting between Arrays and Hexstrings](bytes)
  * [Array Manipulation](bytes)
  * [Hexstring Manipulation](bytes)
  * [Signature Conversion](bytes)
* [Constants](constants)
  * [Bytes](constants)
  * [Strings](constants)
  * [BigNumber](constants)
* [Display Logic and Input](display-logic)
  * [Units](display-logic)
  * [Functions](display-logic)
* [FixedNumber](fixednumber)
  * [FixedFormat](fixednumber)
  * [Creating Instances](fixednumber)
  * [Properties](fixednumber)
  * [Methods](fixednumber)
* [Hashing Algorithms](hashing)
  * [Cryptographic Hashing](hashing)
  * [Common Hashing Helpers](hashing)
  * [Solidity Hashing Algorithms](hashing)
* [Strings](strings)
  * [Bytes32String](strings)
  * [UTF-8 Strings](strings)
  * [UnicodeNormalizationForm](strings)
  * [Custom UTF-8 Error Handling](strings)
* [Transactions](transactions)
  * [Types](transactions)
  * [Functions](transactions)



-----
**Content Hash:** 87e3535244311d1d85bda676c07cc903e6e0fe7d4c7207943dcf2e72bc33e3d9