-----

Documentation: [html](https://docs-beta.ethers.io/)

-----


Constants
=========


The **ethers.contants** Object contains commonly used values.


### Importing



```javascript
//const { constants } = require("ethers");
// const { constants } = require("@ethersproject/constants");
```



Bytes
-----



#### *constants* . **AddressZero** **=>** *string< [Address](../address) >*

The Address Zero, which is 20 bytes (40 nibbles) of zero.




#### *constants* . **HashZero** **=>** *string< [DataHexstring](../bytes)< 32 > >*

The Hash Zero, which is 32 bytes (64 nibbles) of zero.




Strings
-------



#### *constants* . **EtherSymbol** **=>** *string*

The Ether symbol, **&Xi;**.




BigNumber
---------



#### *constants* . **NegativeOne** **=>** *[BigNumber](../bignumber)*

The BigNumber value representing `"-1"`.




#### *constants* . **Zero** **=>** *[BigNumber](../bignumber)*

The BigNumber value representing `"0"`.




#### *constants* . **One** **=>** *[BigNumber](../bignumber)*

The BigNumber value representing `"1"`.




#### *constants* . **Two** **=>** *[BigNumber](../bignumber)*

The BigNumber value representing `"2"`.




#### *constants* . **WeiPerEther** **=>** *[BigNumber](../bignumber)*

The BigNumber value representing `"1000000000000000000"`, which is the
number of Wei per Ether.




#### *constants* . **MaxUint256** **=>** *[BigNumber](../bignumber)*

The BigNumber value representing the maximum `uint256` value.





-----
**Content Hash:** 622800454a6a66b0fc5bbd1aa149f58e00727d81f05a8d32f3eb7be9e1abbf8d